Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.sequencer.xml
Enum XmlSequencer.AttributeScoping

    java.lang.Object
      java.lang.Enum<XmlSequencer.AttributeScoping>
          org.modeshape.sequencer.xml.XmlSequencer.AttributeScoping

All Implemented Interfaces:
  Serializable, Comparable<XmlSequencer.AttributeScoping>

Enclosing class:
  XmlSequencer

    public static enum XmlSequencer.AttributeScoping

extends Enum<XmlSequencer.AttributeScoping>

The choices for how attributes that have no namespace prefix should be assigned a namespace.

Author:
  Randall Hauch

Enum Constant Summary
`INHERIT_ELEMENT_NAMESPACE` The attribute's namespace is the same namespace as the containing element
`USE_DEFAULT_NAMESPACE` The attribute's namespace is the default namespace

Method Summary
`static XmlSequencer.AttributeScoping` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmlSequencer.AttributeScoping[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USE_DEFAULT_NAMESPACE

    public static final XmlSequencer.AttributeScoping USE_DEFAULT_NAMESPACE

  The attribute's namespace is the default namespace

### INHERIT_ELEMENT_NAMESPACE

    public static final XmlSequencer.AttributeScoping INHERIT_ELEMENT_NAMESPACE

  The attribute's namespace is the same namespace as the containing element

Method Detail

### values

    public static XmlSequencer.AttributeScoping[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XmlSequencer.AttributeScoping c : XmlSequencer.AttributeScoping.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XmlSequencer.AttributeScoping valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.